Linux Security
    Linux Security
    Linux Security

    SUSE: 2020:0059-1 moderate: nodejs12

    Date
    387
    Posted By
    An update that solves 9 vulnerabilities and has one errata is now available.
    
       SUSE Security Update: Security update for nodejs12
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2020:0059-1
    Rating:             moderate
    References:         #1140290 #1146090 #1146091 #1146093 #1146094 
                        #1146095 #1146097 #1146099 #1146100 #1149792 
                        
    Cross-References:   CVE-2019-13173 CVE-2019-9511 CVE-2019-9512
                        CVE-2019-9513 CVE-2019-9514 CVE-2019-9515
                        CVE-2019-9516 CVE-2019-9517 CVE-2019-9518
                       
    Affected Products:
                        SUSE Linux Enterprise Module for Web Scripting 12
    ______________________________________________________________________________
    
       An update that solves 9 vulnerabilities and has one errata
       is now available.
    
    Description:
    
       This update for nodejs12 fixes the following issues:
    
       Update to LTS release 12.13.0 (jsc#SLE-8947).
    
       Security issues fixed:
    
       - CVE-2019-9511: Fixed the HTTP/2 implementation that was vulnerable to
         window size manipulations (bsc#1146091).
       - CVE-2019-9512: Fixed the HTTP/2 implementation that was vulnerable to
         floods using PING frames (bsc#1146099).
       - CVE-2019-9513: Fixed the HTTP/2 implementation that was vulnerable to
         resource loops, potentially leading to a denial of service (bsc#1146094).
       - CVE-2019-9514: Fixed the HTTP/2 implementation that was vulnerable to a
         reset flood, potentially leading to a denial of service (bsc#1146095).
       - CVE-2019-9515: Fixed the HTTP/2 implementation that was vulnerable to a
         SETTINGS frame flood (bsc#1146100).
       - CVE-2019-9516: Fixed the HTTP/2 implementation that was vulnerable to a
         header leak, potentially leading to a denial of service (bsc#1146090).
       - CVE-2019-9517: Fixed the HTTP/2 implementation that was vulnerable to
         unconstrained interal data buffering (bsc#1146097).
       - CVE-2019-9518: Fixed the HTTP/2 implementation that was vulnerable to a
         flood of empty frames, potentially leading to a denial of service
         (bsc#1146093).
       - CVE-2019-13173: Fixed a file overwrite in the fstream.DirWriter()
         function (bsc#1140290).
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Web Scripting 12:
    
          zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2020-59=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Web Scripting 12 (aarch64 ppc64le s390x x86_64):
    
          nodejs12-12.13.0-1.3.1
          nodejs12-debuginfo-12.13.0-1.3.1
          nodejs12-debugsource-12.13.0-1.3.1
          nodejs12-devel-12.13.0-1.3.1
          npm12-12.13.0-1.3.1
    
       - SUSE Linux Enterprise Module for Web Scripting 12 (noarch):
    
          nodejs12-docs-12.13.0-1.3.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-13173.html
       https://www.suse.com/security/cve/CVE-2019-9511.html
       https://www.suse.com/security/cve/CVE-2019-9512.html
       https://www.suse.com/security/cve/CVE-2019-9513.html
       https://www.suse.com/security/cve/CVE-2019-9514.html
       https://www.suse.com/security/cve/CVE-2019-9515.html
       https://www.suse.com/security/cve/CVE-2019-9516.html
       https://www.suse.com/security/cve/CVE-2019-9517.html
       https://www.suse.com/security/cve/CVE-2019-9518.html
       https://bugzilla.suse.com/1140290
       https://bugzilla.suse.com/1146090
       https://bugzilla.suse.com/1146091
       https://bugzilla.suse.com/1146093
       https://bugzilla.suse.com/1146094
       https://bugzilla.suse.com/1146095
       https://bugzilla.suse.com/1146097
       https://bugzilla.suse.com/1146099
       https://bugzilla.suse.com/1146100
       https://bugzilla.suse.com/1149792
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    https://lists.suse.com/mailman/listinfo/sle-security-updates
    

    LinuxSecurity Poll

    How are you contributing to Open Source?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 4 answer(s).
    /main-polls/37-how-are-you-contributing-to-open-source?task=poll.vote&format=json
    37
    radio
    [{"id":"127","title":"I'm involved with the development of an open-source project(s).","votes":"2","type":"x","order":"1","pct":100,"resources":[]},{"id":"128","title":"I've reported vulnerabilities I've discovered in open-source code.","votes":"0","type":"x","order":"2","pct":0,"resources":[]},{"id":"129","title":"I've provided developers with feedback on their projects.","votes":"0","type":"x","order":"3","pct":0,"resources":[]},{"id":"130","title":"I've helped another community member get started contributing to Open Source.","votes":"0","type":"x","order":"4","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350


    VIEW MORE POLLS

    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.